// MapSizeDlg.cpp : implementation file
//

#include "stdafx.h"
#include "animationsuite.h"
#include "MapSizeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMapSizeDlg dialog


CMapSizeDlg::CMapSizeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMapSizeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMapSizeDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_iSize = 0;
}


void CMapSizeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMapSizeDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMapSizeDlg, CDialog)
	//{{AFX_MSG_MAP(CMapSizeDlg)
	ON_BN_CLICKED(IDC_RADIO1, OnRadio1)
	ON_BN_CLICKED(IDC_RADIO2, OnRadio2)
	ON_BN_CLICKED(IDC_RADIO3, OnRadio3)
	ON_BN_CLICKED(IDC_RADIO4, OnRadio4)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMapSizeDlg message handlers

void CMapSizeDlg::OnRadio1() 
{
	m_iSize = 1;
}

void CMapSizeDlg::OnRadio2() 
{
	m_iSize = 2;
}

void CMapSizeDlg::OnRadio3() 
{
	m_iSize = 4;
}

void CMapSizeDlg::OnRadio4() 
{
	m_iSize = 0;
}

BOOL CMapSizeDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	((CButton *)GetDlgItem(IDC_RADIO4))->SetCheck(true);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
